package com.sundot.airport.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 指标类型枚举
 * 定义系统中所有的指标类型
 */
@Getter
@AllArgsConstructor
public enum IndicatorTypeEnum {
    ATTENDANCE_PERSONS("attendance_persons", "出勤人次"),
    BRIGADE_ATTENDANCE_PERSONS("brigade_attendance_persons", "大队出勤人次"),
    ;

    /**
     * 指标类型编码
     */
    private final String code;

    /**
     * 指标类型名称
     */
    private final String name;

    /**
     * 根据编码获取枚举
     *
     * @param code 编码
     * @return 枚举值
     */
    public static IndicatorTypeEnum getByCode(String code) {
        for (IndicatorTypeEnum type : values()) {
            if (type.code.equals(code)) {
                return type;
            }
        }
        return null;
    }
}